PixelatorShaded
Date: 2019-10-22

org.jmol.g3d

## Class PixelatorShaded

- java.lang.Object
- - org.jmol.g3d.Pixelator
  - - org.jmol.g3d.PixelatorShaded

-     class PixelatorShaded
      extends Pixelator

  A class to do Z Shading of pixels.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int[]` | `bgRGB`
    `private int[]` | `tmp`
    `private int` | `zDepth`
    `(package private) int` | `zShadePower`
    `private int` | `zSlab`

    - ### Fields inherited from class org.jmol.g3d.Pixelator

      `bgcolor, g, p0, pb, width, zb`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PixelatorShaded(Graphics3D g)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `addPixel(int offset, int z, int p)`
    `(package private) Pixelator` | `set(int zSlab, int zDepth, int zShadePower)`
    `(package private) void` | `showZBuffer()`

    - ### Methods inherited from class org.jmol.g3d.Pixelator

      `addImagePixel, clearPixel, setBuf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bgRGB

          private int[] bgRGB

    - #### tmp

          private int[] tmp

    - #### zSlab

          private int zSlab

    - #### zDepth

          private int zDepth

    - #### zShadePower

          int zShadePower

  - ### Constructor Detail

    - #### PixelatorShaded

          PixelatorShaded(Graphics3D g)

      Parameters:
        `g` -

  - ### Method Detail

    - #### set

          Pixelator set(int zSlab,
                        int zDepth,
                        int zShadePower)

    - #### addPixel

          void addPixel(int offset,
                        int z,
                        int p)

      Overrides:
        `addPixel` in class `Pixelator`

    - #### showZBuffer

          void showZBuffer()